org.jfree.chart.urls

## Class StandardPieURLGenerator

- java.lang.Object
- - org.jfree.chart.urls.StandardPieURLGenerator

All Implemented Interfaces:
  java.io.Serializable, PieURLGenerator

    public class StandardPieURLGenerator
    extends java.lang.Object
    implements PieURLGenerator, java.io.Serializable

A URL generator for pie charts. Instances of this class are immutable.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StandardPieURLGenerator()` Default constructor.
`StandardPieURLGenerator(java.lang.String prefix)` Creates a new generator.
`StandardPieURLGenerator(java.lang.String prefix, java.lang.String categoryParameterName)` Creates a new generator.
`StandardPieURLGenerator(java.lang.String prefix, java.lang.String categoryParameterName, java.lang.String indexParameterName)` Creates a new generator.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests if this object is equal to another.
`java.lang.String` `generateURL(PieDataset dataset, java.lang.Comparable key, int pieIndex)` Generates a URL.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardPieURLGenerator

    public StandardPieURLGenerator()

Default constructor.

#### StandardPieURLGenerator

    public StandardPieURLGenerator(java.lang.String prefix)

Creates a new generator.

Parameters:
  `prefix` - the prefix (`null` not permitted).

#### StandardPieURLGenerator

    public StandardPieURLGenerator(java.lang.String prefix,
                           java.lang.String categoryParameterName)

Creates a new generator.

Parameters:
  `prefix` - the prefix (`null` not permitted).
  `categoryParameterName` - the category parameter name (`null` not permitted).

#### StandardPieURLGenerator

    public StandardPieURLGenerator(java.lang.String prefix,
                           java.lang.String categoryParameterName,
                           java.lang.String indexParameterName)

Creates a new generator.

Parameters:
  `prefix` - the prefix (`null` not permitted).
  `categoryParameterName` - the category parameter name (`null` not permitted).
  `indexParameterName` - the index parameter name (`null` permitted).

### Method Detail

#### generateURL

    public java.lang.String generateURL(PieDataset dataset,
                               java.lang.Comparable key,
                               int pieIndex)

Generates a URL.

Specified by:
  `generateURL` in interface `PieURLGenerator`
Parameters:
  `dataset` - the dataset (ignored).
  `key` - the item key (`null` not permitted).
  `pieIndex` - the pie index.
Returns:
  A string containing the generated URL.

#### equals

    public boolean equals(java.lang.Object obj)

Tests if this object is equal to another.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.